Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slagv2

    java.lang.Object
      org.netlib.lapack.Slagv2

    public class Slagv2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAGV2 computes the Generalized Schur factorization of a real 2-by-2

     *  matrix pencil (A,B) where B is upper triangular. This routine
     *  computes orthogonal (rotation) matrices given by CSL, SNL and CSR,
     *  SNR such that
     *
     *  1) if the pencil (A,B) has two real eigenvalues (include 0/0 or 1/0
     *     types), then
     *
     *     [ a11 a12 ] := [  CSL  SNL ] [ a11 a12 ] [  CSR -SNR ]
     *     [  0  a22 ]    [ -SNL  CSL ] [ a21 a22 ] [  SNR  CSR ]
     *
     *     [ b11 b12 ] := [  CSL  SNL ] [ b11 b12 ] [  CSR -SNR ]
     *     [  0  b22 ]    [ -SNL  CSL ] [  0  b22 ] [  SNR  CSR ],
     *
     *  2) if the pencil (A,B) has a pair of complex conjugate eigenvalues,
     *     then
     *
     *     [ a11 a12 ] := [  CSL  SNL ] [ a11 a12 ] [  CSR -SNR ]
     *     [ a21 a22 ]    [ -SNL  CSL ] [ a21 a22 ] [  SNR  CSR ]
     *
     *     [ b11  0  ] := [  CSL  SNL ] [ b11 b12 ] [  CSR -SNR ]
     *     [  0  b22 ]    [ -SNL  CSL ] [  0  b22 ] [  SNR  CSR ]
     *
     *     where b11 >= b22 > 0.
     *
     *
     *  Arguments
     *  =========
     *
     *  A       (input/output) REAL array, dimension (LDA, 2)
     *          On entry, the 2 x 2 matrix A.
     *          On exit, A is overwritten by the ``A-part'' of the
     *          generalized Schur form.
     *
     *  LDA     (input) INTEGER
     *          THe leading dimension of the array A.  LDA >= 2.
     *
     *  B       (input/output) REAL array, dimension (LDB, 2)
     *          On entry, the upper triangular 2 x 2 matrix B.
     *          On exit, B is overwritten by the ``B-part'' of the
     *          generalized Schur form.
     *
     *  LDB     (input) INTEGER
     *          THe leading dimension of the array B.  LDB >= 2.
     *
     *  ALPHAR  (output) REAL array, dimension (2)
     *  ALPHAI  (output) REAL array, dimension (2)
     *  BETA    (output) REAL array, dimension (2)
     *          (ALPHAR(k)+i*ALPHAI(k))/BETA(k) are the eigenvalues of the
     *          pencil (A,B), k=1,2, i = sqrt(-1).  Note that BETA(k) may
     *          be zero.
     *
     *  CSL     (output) REAL
     *          The cosine of the left rotation matrix.
     *
     *  SNL     (output) REAL
     *          The sine of the left rotation matrix.
     *
     *  CSR     (output) REAL
     *          The cosine of the right rotation matrix.
     *
     *  SNR     (output) REAL
     *          The sine of the right rotation matrix.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Mark Fahey, Department of Mathematics, Univ. of Kentucky, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slagv2()`

Method Summary
`static void` | `slagv2(float[] a, int _a_offset, int lda, float[] b, int _b_offset, int ldb, float[] alphar, int _alphar_offset, float[] alphai, int _alphai_offset, float[] beta, int _beta_offset, floatW csl, floatW snl, floatW csr, floatW snr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slagv2

    public Slagv2()

Method Detail

### slagv2

    public static void slagv2(float[] a,
                              int _a_offset,
                              int lda,
                              float[] b,
                              int _b_offset,
                              int ldb,
                              float[] alphar,
                              int _alphar_offset,
                              float[] alphai,
                              int _alphai_offset,
                              float[] beta,
                              int _beta_offset,
                              floatW csl,
                              floatW snl,
                              floatW csr,
                              floatW snr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD